> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solvice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Status

> Check whether the job is solved or not.



## OpenAPI

````yaml vrp GET /v2/vrp/jobs/{id}/status
openapi: 3.1.0
info:
  description: |2-

                Welcome to the Solvice API! You can use our API to access Solvice API endpoints,
                which can get information on your solved jobs,
                their statuses and of course post new solve jobs.
            
  title: VRP API
  version: '2.0'
servers:
  - url: https://api.solvice.io
    description: Production API
security:
  - apikey: []
tags:
  - name: VRP API
    description: VRP API
paths:
  /v2/vrp/jobs/{id}/status:
    get:
      tags:
        - Info
      summary: Status
      description: Check whether the job is solved or not.
      operationId: getStatus
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SolviceStatusJob'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '427':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    SolviceStatusJob:
      type: object
      required:
        - id
      description: Status of a solve job
      title: ''
      properties:
        id:
          type: string
          description: Job ID
        status:
          type:
            - string
            - 'null'
          enum:
            - QUEUED
            - SOLVING
            - SOLVED
            - ERROR
          examples:
            - SOLVING
          description: Status of the solve.
        solveDuration:
          type:
            - integer
            - 'null'
          format: int32
          description: Duration of the solve in seconds
        errors:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Message'
          description: List of errors
        warnings:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Message'
          description: List of warnings
    ErrorMessage:
      type: object
      required:
        - message
        - status
      properties:
        message:
          type: string
          description: Message
        status:
          $ref: '#/components/schemas/Status'
          type: string
          description: HTTP status
    Message:
      type: object
      required:
        - message
      description: Error or warning message
      properties:
        code:
          type: integer
          format: int32
          description: Error code
        message:
          type: string
          description: Error message
    Status:
      type: string
      enum:
        - OK
        - CREATED
        - ACCEPTED
        - NO_CONTENT
        - RESET_CONTENT
        - PARTIAL_CONTENT
        - MULTIPLE_CHOICES
        - MOVED_PERMANENTLY
        - FOUND
        - SEE_OTHER
        - NOT_MODIFIED
        - USE_PROXY
        - TEMPORARY_REDIRECT
        - PERMANENT_REDIRECT
        - BAD_REQUEST
        - UNAUTHORIZED
        - PAYMENT_REQUIRED
        - FORBIDDEN
        - NOT_FOUND
        - METHOD_NOT_ALLOWED
        - NOT_ACCEPTABLE
        - PROXY_AUTHENTICATION_REQUIRED
        - REQUEST_TIMEOUT
        - CONFLICT
        - GONE
        - LENGTH_REQUIRED
        - PRECONDITION_FAILED
        - REQUEST_ENTITY_TOO_LARGE
        - REQUEST_URI_TOO_LONG
        - UNSUPPORTED_MEDIA_TYPE
        - REQUESTED_RANGE_NOT_SATISFIABLE
        - EXPECTATION_FAILED
        - PRECONDITION_REQUIRED
        - TOO_MANY_REQUESTS
        - REQUEST_HEADER_FIELDS_TOO_LARGE
        - UNAVAILABLE_FOR_LEGAL_REASONS
        - INTERNAL_SERVER_ERROR
        - NOT_IMPLEMENTED
        - BAD_GATEWAY
        - SERVICE_UNAVAILABLE
        - GATEWAY_TIMEOUT
        - HTTP_VERSION_NOT_SUPPORTED
        - NETWORK_AUTHENTICATION_REQUIRED
  securitySchemes:
    apikey:
      type: apiKey
      description: Api Key based authentication (apikey)
      name: Authorization
      in: header

````